## org.eclipse.datatools.sqltools.result.internal.utils
Class ProfileUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.utils.ProfileUtil

    public class ProfileUtil

extends java.lang.Object

Utility class of connection profile

Author:
  Dafan Yang

Constructor Summary
`ProfileUtil()`

Method Summary
`static IConnectionProfile[]` `getProfiles()` Returns all the database connection profiles

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileUtil

    public ProfileUtil()

Method Detail

### getProfiles

    public static IConnectionProfile[] getProfiles()

  Returns all the database connection profiles

  Returns:
    all the database connection profiles